curl --request PATCH \
--url https://api.ngrok.ai/access-keys/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"metadata": "<string>",
"accessKeyConfigurationId": "<string>"
}
'import requests
url = "https://api.ngrok.ai/access-keys/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"metadata": "<string>",
"accessKeyConfigurationId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
metadata: '<string>',
accessKeyConfigurationId: '<string>'
})
};
fetch('https://api.ngrok.ai/access-keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"uri": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "<string>",
"uri": "<string>"
},
"lastUpdatedBy": {
"id": "<string>",
"uri": "<string>"
},
"keyRedacted": "<string>",
"name": "<string>",
"description": "<string>",
"metadata": "<string>",
"token": "<string>",
"lastUsed": "2023-11-07T05:31:56Z",
"accessKeyConfiguration": {
"id": "<string>",
"uri": "<string>",
"name": "<string>"
}
}{
"statusCode": 123,
"msg": "<string>",
"details": {},
"errorCode": "<string>"
}Update an AI Gateway access key
Update mutable fields on an existing AI Gateway access key.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier for an AI Gateway access key.
Body
User-friendly label for this access key.
255Human-readable description of this access key.
255Arbitrary user-defined metadata for this access key.
4096ID of an access key configuration. PATCH: omit to preserve the
current link, send null to revert to allow-all scope, or send
an ID to link a configuration.
Response
The updated AI Gateway access key.
Unique identifier for this access key.
URI of this AI Gateway Access Key API resource.
Timestamp when the access key was created.
Timestamp when the access key was last updated.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Redacted display form of the access key token.
User-friendly label for this access key.
Human-readable description of this access key.
Arbitrary user-defined metadata for this access key.
Plaintext access key token. Only returned when the key is first created.
Timestamp when the access key was last used.
Linked access key configuration, or null for allow-all scope.
Show child attributes
Show child attributes
Was this page helpful?